package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumShopStatus {

    NOT_RENT(0, "未出租"),
    RENT(1, "已出租"),
    ;

    public static EnumShopStatus getEnum(Integer code) {
        for (EnumShopStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumShopStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
